/* 颜色样式 */
:root {
  --fs-tkcs-merchant-comparison-bg: #E0EBEF;
  --fs-tkcs-merchant-comparison-title-color: #565759;

  --fs-tkcs-merchant-comparison-span-bg: #9ECCDA;
  --fs-tkcs-merchant-comparison-span-color: #FFFFFF;

  --fs-tkcs-merchant-comparison-p-bg: #FFFFFF;
  --fs-tkcs-merchant-comparison-p-color: #9ECCDA;
}

/* 主题样式 */
.fs-tkcs-merchant-comparison {
  position: relative;
  width: 100%;
  padding: 90px calc((100% - min(1440px, 96%)) / 2);
  background: var(--fs-tkcs-merchant-comparison-bg);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 64px;
  overflow: hidden;
}

.fs-tkcs-merchant-comparison-title {
  color: var(--fs-tkcs-merchant-comparison-title-color);
  text-align: center;
  font-family: Urbanist;
  font-size: 40px;
  font-style: normal;
  font-weight: 400;
  line-height: 100%;
  /* 40px */
  text-transform: uppercase;
}

.fs-tkcs-merchant-comparison-ul {
  padding: 0;
  margin: 0;
  list-style: none;
  display: flex;
  gap: 32px;
  width: 100%;
}

.fs-tkcs-merchant-comparison-ul li {
  display: flex;
  flex-direction: column;
  width: calc(100% / 3);
  flex: 1 1 calc(100% / 3 - 32px);
}


.fs-tkcs-merchant-comparison-count-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--fs-tkcs-merchant-comparison-p-bg);
  padding-top: 10px;
  padding-bottom: 10px;
}

.fs-tkcs-merchant-comparison-ul li p {
  position: relative;
  color: var(--fs-tkcs-merchant-comparison-p-color);
  font-family: Urbanist;
  font-size: clamp(80px, 10vw, 160px);
  font-style: normal;
  font-weight: 300;
  line-height: 90%;
  /* 144px */
  letter-spacing: 1.125px;
  /* 86.4px */
  margin: 0;
  padding: 0;
  z-index: 1;
}

.fs-tkcs-merchant-comparison-ul li span {
  position: relative;
  width: 100%;
  height: 72px;
  display: flex;
  align-items: center;
  justify-content: center;

  color: var(--fs-tkcs-merchant-comparison-span-color);
  font-family: Rubik;
  font-size: clamp(20px, 8vw, 36px);
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  background: var(--fs-tkcs-merchant-comparison-span-bg);
  z-index: 2;
}

/* Media Query */
@media (max-width: 1000px) {
  .fs-tkcs-merchant-comparison {
    padding: 5.62rem 0;
    gap: 2.94rem;
  }


  .fs-tkcs-merchant-comparison-title {
    width: 90%;
    font-size: 3rem;
  }

  .fs-tkcs-merchant-comparison-ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
  }

  .fs-tkcs-merchant-comparison-ul li {
    width: 100%;
    flex: 1 1 100%;
    flex-direction: row;
  }

  .fs-tkcs-merchant-comparison-count-wrapper {
    padding-left: 1.69rem;
    justify-content: start;
  }

  .fs-tkcs-merchant-comparison-ul li p {
    font-size: 12.8125rem;
    letter-spacing: -0.12rem;
  }

  .fs-tkcs-merchant-comparison-ul li span {
    width: 11.25rem;
    height: auto;
    flex-shrink: 0;
    font-size: 2rem;
  }
}